PDA

View Full Version : Functions may only be defined at the root of a document: SASS 3.1.8+



zombeerose
14 Feb 2012, 12:52 PM
I tried updating my compass & sass packages to the latest but then I started getting this error when compiling:
"Functions may only be defined at the root of a document"

After a little research, I came across this article (http://stackoverflow.com/questions/7616850/getting-error-after-ugrading-to-sass-3-1-8). Appears that the latest SASS is not compatible with the current SDK 1.2.3.

mitchellsimoens
14 Feb 2012, 12:55 PM
We are currently working on SDK Tools 2 which is currently Mac only.

zombeerose
14 Feb 2012, 1:18 PM
Does that mean the SDK 2 fixes it?

Any timelines/estimates for when SDK 2 will be available to the corporate Windows environment?